//---------------------------------------------------------
//  Simple example of a while() loop
//  - Used for doing something while some condition is true 
//  - Setup: 
//    Wire an LED from pin 7 thru a resistor to GND
//---------------------------------------------------------
int i;                      // variable for counting
int ledPin = 7;

void setup() {
  pinMode(ledPin, OUTPUT);
}

void loop()  {
  while(i < 5) {
      digitalWrite(ledPin, HIGH); // blink LED quickly
      delay(100);
      digitalWrite(ledPin, LOW);
      delay(100);
      i = i + 1;                  // increment i
   }

  delay(500);
  digitalWrite(ledPin, HIGH); // one slow (1 second) blink
  delay(1000);
  digitalWrite(ledPin, LOW);
  delay(500);
  i = 0;                      // Reset i
}
