/* ------------------------------------------------------ 
                     LED_Blink_Timer 
  blinks an LED and counts numbers to the Serial monitor
  -Uses the millis() function which outputs the time (duration
   in milliseconds) since the program was started.
  Setup: Wire an LED from pin 7 through a 330 ohm resistor to ground
   ------------------------------------------------------ 
*/

int ledPin = 7;  //- so we can use a name instead of a specific number

void setup() {
  pinMode(ledPin, OUTPUT);
  Serial.begin(9600);
}

void loop() {
  digitalWrite(ledPin, HIGH); // Turn LED on
    Serial.print(" on sec: ");
    Serial.println(millis() / 1000);
    delay(1000);             // Delay 1 second
    digitalWrite(ledPin, LOW); // Turn LED off
    Serial.print("off sec: ");
    Serial.println(millis() / 1000);
    delay(1000);             // Delay 1 second
}
